import { defAxios as request } from '@/utils/http'

/**
 * 获取云盒列表（分页）
 * @param {Object}
 * @returns
 */
export function bannerPage(params) {
  return request({
    url: '/pilotAd/index',
    method: 'get',
    params
  })
}

/**
 * 创建盒子
 * @returns
 */
export function bannerCreate(data) {
  return request({
    url: '/pilotAd/add',
    method: 'post',
    data
  })
}
/**
 * 编辑盒子
 * @returns
 */
export function bannerUpdate(data) {
  return request({
    url: '/pilotAd/edit',
    method: 'put',
    data
  })
}
/**
 * 删除盒子
 * @returns
 */
export function bannerDelete(ids) {
  return request({
    url: `/pilotAd/delete/${ids}`,
    method: 'delete'
  })
}
